For the complete documentation index, see llms.txt. This page is also available as Markdown.

Pods

Create pod

post

Create pod

Authorizations
x-api-keystringRequired
Body

OpenapiPodCreateRequest

imagePublicTypestringOptional

ImagePublicTypeEnum: PUBLIC, PRIVATE

resourceTypestringOptional

ResourceTypeEnum: GPU,CPU

regionstringOptional

Region

regionListstring[]Optional

Region List

podNamestringOptional

pod nick name

imagestring · min: 1 · max: 255Required

image name

imageRegistrystringOptional

image registry url

Default: https://index.docker.io/v1/
credentialIdinteger · int64Optional

container registry credential ID

imageRegistryUsernamestringOptional

image registry username

imageRegistryTokenstringOptional

image registry token or password

gpuTypestring · min: 1Required

gpu type

gpuCountinteger · int32Optional

gpu count

isSpotbooleanOptional

Create on Spot resource when true; default false

maxPricenumberOptional

Spot instance max hourly price cap for the whole machine; only valid when isSpot=true

shmInGbinteger · int32 · min: 1Optional

shm unit:GB

minSingleCardRamInGbinteger · int32 · max: 1536Optional

min single card ram unit: GB

minSingleCardVramInGbinteger · int32 · max: 1536Optional

min single card vram unit: GB

minSingleCardVcpuinteger · int32Optional

min single card vcpu unit: count

containerVolumeInGbinteger · int32Optional

container volume unit:GB

initializationCommandstringOptional

initialization command

callbackUrlstringOptional

Pod lifecycle webhook callback URL. When creating a Pod, you can provide a callbackUrl in the request body. The platform will send HTTP POST notifications to this URL whenever the Pod transitions into a key lifecycle state (RUNNING, TERMINATED, FAILED, or DEGRADED).

Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

datainteger · int64Optional

data

post/openapi/v1/pods/create
POST /openapi/v1/pods/create HTTP/1.1
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 792

{
  "imagePublicType": "text",
  "resourceType": "text",
  "region": "text",
  "regionList": [
    "text"
  ],
  "podName": "text",
  "image": "text",
  "imageRegistry": "https://index.docker.io/v1/",
  "credentialId": 1,
  "imageRegistryUsername": "text",
  "imageRegistryToken": "text",
  "gpuType": "text",
  "gpuCount": 1,
  "isSpot": true,
  "maxPrice": 1,
  "shmInGb": 1,
  "minSingleCardRamInGb": 1,
  "minSingleCardVramInGb": 1,
  "minSingleCardVcpu": 1,
  "containerVolumeInGb": 1,
  "initializationCommand": "text",
  "environmentVars": [
    {
      "key": "HF_HOME",
      "value": "/workspace/cache"
    }
  ],
  "expose": [
    {
      "port": 8000,
      "protocol": "HTTP"
    }
  ],
  "persistentVolumes": [
    {
      "id": 448086953767260540,
      "name": "my-volume",
      "volumeType": "CloudStorage",
      "mountMode": "Data",
      "volumeSize": 50,
      "volumePrice": 0,
      "mountPath": "/workspace/data",
      "cloudStorageType": "R2",
      "systemVolumeType": "Ceph"
    }
  ],
  "callbackUrl": "text"
}
{
  "message": "text",
  "code": 1,
  "data": 1
}

Pod resume

post

Pod resume

Authorizations
x-api-keystringRequired
Path parameters
podIdinteger · int64RequiredExample: 0
Responses
200

OK

*/*
messagestringOptional

message

Example: success
codeinteger · int32Optional

code

Example: 10000
dataanyOptional

data

post/openapi/v1/pods/resume/{podId}
POST /openapi/v1/pods/resume/{podId} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": null
}

Pod pause

post

Pod pause

Authorizations
x-api-keystringRequired
Path parameters
podIdinteger · int64RequiredExample: 0
Responses
200

OK

*/*
messagestringOptional

message

Example: success
codeinteger · int32Optional

code

Example: 10000
dataanyOptional

data

post/openapi/v1/pods/pause/{podId}
POST /openapi/v1/pods/pause/{podId} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": null
}

Pod delete

delete

Pod delete

Authorizations
x-api-keystringRequired
Path parameters
podIdinteger · int64RequiredExample: 0
Responses
200

OK

*/*
messagestringOptional

message

Example: success
codeinteger · int32Optional

code

Example: 10000
dataanyOptional

data

delete/openapi/v1/pods/{podId}
DELETE /openapi/v1/pods/{podId} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "success",
  "code": 10000,
  "data": null
}

Get pod detail

get

Fetch detailed information of a specific pod by its ID

Authorizations
x-api-keystringRequired
Path parameters
podIdinteger · int64RequiredExample: 0
Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

get/openapi/v1/pods/{podId}
GET /openapi/v1/pods/{podId} HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "text",
  "code": 1,
  "data": {
    "id": 1,
    "orgId": 1,
    "applicantId": 1,
    "podName": "text",
    "imageId": 1,
    "officialImage": "OFFICIAL",
    "imagePublicType": "PUBLIC",
    "image": "text",
    "imageRegistry": "text",
    "imageRegistryUsername": "text",
    "resourceType": "GPU",
    "gpuType": "text",
    "gpuDisplayName": "text",
    "gpuCount": 1,
    "shmInGb": 1,
    "singleCardVramInGb": 1,
    "singleCardRamInGb": 1,
    "singleCardVcpu": 1,
    "location": "text",
    "region": "text",
    "cloudType": "SECURE",
    "containerVolumeInGb": 1,
    "networkUploadMbps": 1,
    "networkDownloadMbps": 1,
    "diskReadSpeedMbps": 1,
    "diskWriteSpeedMbps": 1,
    "singleCardPrice": 1,
    "containerVolumePrice": 1,
    "initializationCommand": "text",
    "environmentVars": [
      {
        "key": "HF_HOME",
        "value": "/workspace/cache"
      }
    ],
    "expose": [
      {
        "port": 8000,
        "proxyPort": 18000,
        "protocol": "HTTP",
        "host": "pod-449722593352847664.example.com",
        "healthy": true,
        "ingressUrl": "https://pod-449722593352847664.example.com",
        "serviceName": "pod-449722593352847664-8000"
      }
    ],
    "sshCmd": "text",
    "status": "INITIALIZE",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "persistentVolumes": [
      {
        "id": 448086953767260540,
        "name": "my-volume",
        "volumeType": "CloudStorage",
        "volumeSize": null,
        "volumePrice": 0,
        "mountPath": "/workspace/data",
        "cloudStorageType": "R2",
        "systemVolumeType": null
      }
    ],
    "internalIp": "text"
  }
}

Get Org pod list

get

Get Org pod list

Authorizations
x-api-keystringRequired
Query parameters
regionListstring[]Optional
statusListinteger · int32[]Optional
Responses
200

OK

*/*
messagestringOptional

message

codeinteger · int32Optional

code

get/openapi/v1/pods/list
GET /openapi/v1/pods/list HTTP/1.1
x-api-key: YOUR_API_KEY
Accept: */*
{
  "message": "text",
  "code": 1,
  "data": [
    {
      "id": 1,
      "orgId": 1,
      "applicantId": 1,
      "podName": "text",
      "imageId": 1,
      "officialImage": "OFFICIAL",
      "imagePublicType": "PUBLIC",
      "image": "text",
      "imageRegistry": "text",
      "imageRegistryUsername": "text",
      "resourceType": "GPU",
      "gpuType": "text",
      "gpuDisplayName": "text",
      "gpuCount": 1,
      "shmInGb": 1,
      "singleCardVramInGb": 1,
      "singleCardRamInGb": 1,
      "singleCardVcpu": 1,
      "location": "text",
      "region": "text",
      "cloudType": "SECURE",
      "containerVolumeInGb": 1,
      "networkUploadMbps": 1,
      "networkDownloadMbps": 1,
      "diskReadSpeedMbps": 1,
      "diskWriteSpeedMbps": 1,
      "singleCardPrice": 1,
      "containerVolumePrice": 1,
      "initializationCommand": "text",
      "environmentVars": [
        {
          "key": "HF_HOME",
          "value": "/workspace/cache"
        }
      ],
      "expose": [
        {
          "port": 8000,
          "proxyPort": 18000,
          "protocol": "HTTP",
          "host": "pod-449722593352847664.example.com",
          "healthy": true,
          "ingressUrl": "https://pod-449722593352847664.example.com",
          "serviceName": "pod-449722593352847664-8000"
        }
      ],
      "sshCmd": "text",
      "status": "INITIALIZE",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "persistentVolumes": [
        {
          "id": 448086953767260540,
          "name": "my-volume",
          "volumeType": "CloudStorage",
          "volumeSize": null,
          "volumePrice": 0,
          "mountPath": "/workspace/data",
          "cloudStorageType": "R2",
          "systemVolumeType": null
        }
      ],
      "internalIp": "text"
    }
  ]
}

Last updated

Was this helpful?